/***** Variables *****/
:root {
  --ld-body-color: #E9EDF6;
  --ld-toggle-color: #DDD;
  --ld-sidebar: #FFF;
  --ld-sidebar-color: #0e5054;
  --ld-color-dark: #565555;
  --ld-color-dark1: #1E1E1E;
  --ld-primary-color: #0E5054;
  --ld-primary-color-hover: #073c3f;
  --ld-color-light1: #fafafa;
  --ld-color-light2: #DFDFDF;
  --ld-color-light3: #fafafa;
  --ld-white: #FFF;
  --ld-color: #edc319;
  --ld-color-hover: #d09800;
}

body { background-color: var(--ld-body-color); transition: all .2s ease; }
body.dark {
  --ld-body-color: #272C36;
  --ld-sidebar: #242526;
  --ld-sidebar-color: #242526;
  --ld-toggle-color: #FFF;
  --ld-color-light2: #DFDFDF;
  --ld-color-dark1: #DFDFDF;
  --ld-primary-color1: #FFF;
  --ld-color-light3: #565555;
  --bs-border-color: #404040;
}
a{ color: var(--ld-color); text-decoration: none; }
a:hover, .breadcrumb a{ color: var(--ld-color-hover); }
.text-ld{ color: var(--ld-color); }
.ld-shadow{ box-shadow: -.5rem .125rem 1rem rgba(0, 0, 0, 0.15); }
.cursor-pointer{ cursor: pointer; }

.form-control:focus,
.form-select:focus {
  border-color: var(--ld-color-dark);
  box-shadow: none;
}
.form-label{ font-weight: 700; }

/***** START BOUTON *****/
.btn-outline-ld { color: var(--ld-primary-color); border-color: var(--ld-primary-color); }
.btn-outline-ld:hover { color: #FFF; background-color: var(--ld-primary-color-hover); border-color: var(--ld-primary-color-hover); }
.btn-ld { background-image: linear-gradient(180deg, rgba(208,152,0,1) 0%, rgba(237,195,25,1) 50%, rgba(208,152,0,1) 100%); color:#000 !important; border: 1px solid #fbd100 !important; font-weight: 700; }
/***** END BOUTON *****/

#sidebar{ width: 270px; background-color: var(--ld-sidebar-color); transition: all .5s ease; z-index: 100; }

/***** LOGO & CADRE USER *****/
.logo-box, .sidebar-user { height: 60px; width: 100%; }
.logo-box img, .sidebar-user img, .sidebar-user i{ padding: 0 10px; }
.sidebar-user-picture img { transition: all .2s ease; }
.sidebar-user-welcome { width: calc(100% - 80px); }

/***** SIDEBAR LIST *****/
.sidebar-list { overflow: auto; height: calc(100% - 60px); }

.sidebar-top{ height:95%; overflow-y: auto; overflow-x: hidden; }
.sidebar-top::-webkit-scrollbar, .sidebar.ld-close li.sidebar-li:hover .collapse::-webkit-scrollbar{ width: 11px; }
.sidebar-top::-webkit-scrollbar-thumb, .sidebar.ld-close li.sidebar-li:hover .collapse::-webkit-scrollbar-thumb{ background-color: rgba(255, 255, 255, .5); border: 4px solid transparent; border-radius: 9px; background-clip: content-box; }
.sidebar-top::-webkit-scrollbar-thumb:hover, .sidebar.ld-close li.sidebar-li:hover .collapse::-webkit-scrollbar-thumb:hover{ background-color: rgba(255, 255, 255, 1); }

.sidebar-heading{ color: rgba(255, 255, 255, .5) !important; letter-spacing: .08rem; }
.sidebar-list li { transition: all .5s ease; }

.btn-toggle, .li-sidebar a, .li-sidebar a:not([href]):not([class]) { display: flex; font-size: 1.1rem; align-items: center; font-weight: 600; color: #FFF; background-color: transparent; border: 0; padding: 0; cursor: pointer; }
.btn-toggle:disabled{color: #FFF; opacity: 1;}
.btn-toggle i, .li-sidebar i, .moon-sun i { height: 40px; min-width: 60px; text-align: center; line-height: 40px; font-size: 20px; }
.btn-toggle span, .li-sidebar span { margin-left:0; transition-duration: 0.3s; }
.btn-toggle:focus, .btn-toggle:active, .sidebar-li:focus, .sidebar-li:hover, .sidebar-li:active, .sidebar-li:active .collapse.show { color: #FFF !important; background-color: #073c3f !important; }
.btn-toggle:hover span, .li-sidebar:hover span { margin-left:.5rem; }
.btn-toggle::after {width: 1.25em; line-height: 0; content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgb%28225,225,225%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e"); transition: transform .35s ease; transform-origin: .5em 50%; position:absolute; right: 0; padding-right: 2rem; }
.btn-toggle[aria-expanded="true"]::after { transform: rotate(90deg); }

.btn-toggle-nav a, .btn-toggle-nav a:not([href]):not([class]) { color: var(--ld-color-light2); display: inline-flex; padding: .1875rem .5rem; margin-top: .125rem; margin-left: 1.25rem; text-decoration: none;transition: all .5s ease; }
.btn-toggle-nav a:hover { color: var(--ld-white); }
.btn-toggle-nav .submenu-title { display: none; }

.sidebar::-webkit-scrollbar{ width: 18px; }
.sidebar::-webkit-scrollbar-thumb{ background-color: #0D6EFD; border: 4px solid transparent; border-radius: 9px; background-clip: content-box; }
.sidebar::-webkit-scrollbar-thumb:hover{ background-color: rgb(13, 110, 253, 0.5); }

/***** MODE COLOR *****/
.sidebar-bottom .ld-mode-color{ background-color: var(--ld-color-dark); }
.sidebar-bottom .ld-toggle-switch-mode { display: flex; align-items: center; justify-content: center; height: 100%; min-width: 60px; cursor: pointer; }
.sidebar-list .moon-sun i.bi-sun { opacity: 0; }
body.dark .sidebar-bottom  .moon-sun i.bi-sun { opacity: 1; }
body.dark .sidebar-bottom  .moon-sun i.bi-moon { opacity: 0; }
body.dark .ldTableData{ color: #979797; }
body.dark input[type="text"],
body.dark input[type="password"],
body.dark input[type="email"],
body.dark input[type="number"],
body.dark input[type="date"],
body.dark input[type="datetime-local"],
body.dark input[type="search"],
body.dark input[type="checkbox"],
body.dark select,
body.dark textarea,
body.dark textarea:focus,
body.dark .ldTableData select{
  background-color: #1c1c1c; color: #979797; border-color: #979797;
}
body.dark .card{background: #383838;}
body.dark .card-header{background: #565555;}
body.dark input::placeholder, body.dark input::-webkit-input-placeholder {
  color: #979797; opacity: .4;
}
.ld-toggle-switch-mode .ld-switch { position: relative; height: 22px; width: 44px; border-radius: 25px; background: var(--ld-toggle-color); }
.ld-switch::before { content: ''; position: absolute; height: 15px; width: 15px; border-radius: 50%; top: 50%; left: 5px; transform: translateY(-50%); background: var(--ld-sidebar); transition: all .3s ease; }
body.dark .ld-switch::before { left: 25px; }

/***** SIDEBAR CLOSE *****/
#sidebar.ld-close { width: 60px; }
.sidebar.ld-close .logo-box .logo-name, .sidebar.ld-close .sidebar-user-welcome, .sidebar.ld-close .btn-toggle::after, .sidebar.ld-close .sidebar-bottom .ico-moon, .sidebar.ld-close .sidebar-bottom .ico-sun, .sidebar.ld-close .sidebar-bottom .mode-color-text {
  display: none;
}
.sidebar.ld-close .submenu-title { display: block; font-size: 20px; font-weight: 700; }

.sidebar.ld-close li.sidebar-li:hover .collapse {  
  position: absolute;
  display: block;
  left: 100%;
  top: 0;
  height: 100vh;
  overflow-y: auto;
  width: max-content;
  padding: 10px 20px 10px 0;
  margin-left:-11px;
  border-radius: 0 6px 6px 0;
  transition: all .5s ease;
  background-color: var(--ld-primary-color-hover);
}

/***** MAIN *****/
#wrapper-content{ position: relative;left: 270px;height: 100vh;width: calc(100% - 270px); transition: all .25s ease; }
#wrapper-content.ld-large{ left:60px;width: calc(100% - 60px); }

/*.ld-navbar i,*/
.ld-dropdown-menu,
.main .link-toggle .menu-text,
.row-content,
.list-group-item,
h1, h2, h3, h4, h5{
  color: var(--ld-color-dark1) !important;
}

.topnav{ flex-direction: row !important; }
.topnav .nav-link { padding-right: .5rem !important; padding-left: .5rem !important; }

/*.main .navbar-nav li a,*/
.dropdown-item:hover,
.dropdown-item,
.breadcrumb-item.active,
.ld-dropdown-menu button,
.ld-content-1{ 
  color: var(--ld-color-dark1); 
}

.ld-content-1 {
  background-color: var(--ld-sidebar);
}

.dropdown-menu, .list-group-item, .navbar{ background-color: var(--ld-sidebar); }
.ld-dropdown-menu li:hover, .ld-dropdown-menu li a:hover{background: transparent !important;}
/***** BREADCRUMB *****/
.ld-breadcrumb{ background-color: var(--ld-color-light3); color: var(--ld-color-dark1); }
/*********************/

.md-stepper-horizontal {}
.md-stepper-horizontal .md-step { padding: 24px; }
.md-stepper-horizontal .md-step:hover .md-step-circle {
  background-color: #757575;
}
.md-stepper-horizontal .md-step:first-child .md-step-bar-left,
.md-stepper-horizontal .md-step:last-child .md-step-bar-right {
  display: none;
}
.md-stepper-horizontal .md-step .md-step-circle {
  width: 30px;
  height: 30px;
  margin: 0 auto;
  background-color: #999999;
  border-radius: 50%;
  text-align: center;
  line-height: 30px;
  font-size: 16px;
  font-weight: 600;
  color: #ffffff;
}

.md-stepper-horizontal .md-step.active .md-step-circle { background-color: #00b12f; }
.md-stepper-horizontal .md-step.done .md-step-circle *,
.md-stepper-horizontal .md-step.editable .md-step-circle * {
  display: none;
}
.md-stepper-horizontal .md-step.editable .md-step-circle {
  -moz-transform: scaleX(-1);
  -o-transform: scaleX(-1);
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
}
.md-stepper-horizontal .md-step .md-step-title {
  margin-top: 16px;
  font-size: 16px;
  font-weight: 600;
}
.md-stepper-horizontal .md-step .md-step-title,
.md-stepper-horizontal .md-step .md-step-optional {
  text-align: center;
  color: rgba(0, 0, 0, 0.26);
}
.md-stepper-horizontal .md-step.active .md-step-title { font-weight: 600; color: rgba(0, 0, 0, 0.87); }
.md-stepper-horizontal .md-step.active.done .md-step-title,
.md-stepper-horizontal .md-step.active.editable .md-step-title {
  font-weight: 600;
}
.md-stepper-horizontal .md-step .md-step-optional { font-size: 12px; }
.md-stepper-horizontal .md-step.active .md-step-optional { color: rgba(0, 0, 0, 0.54); }
.md-stepper-horizontal .md-step .md-step-bar-left,
.md-stepper-horizontal .md-step .md-step-bar-right {
  position: absolute; top: 36px; height: 1px; border-top: 1px solid #dddddd;
}
.md-stepper-horizontal .md-step .md-step-bar-right { right: 0; left: 50%; margin-left: 20px; }
.md-stepper-horizontal .md-step .md-step-bar-left { left: 0; right: 50%; margin-right: 20px; }